Skip to main content

List agents (paginated)

GET
/agents

Contract

Parameter
Value
Sectionagents
AuthenticationCookieAuth
Consumesnot required
Producesapplication/json

Parameters

6 parameters

Name
Location
Required
Type
Description
inputquerynostringSearch by hostname or IP address
group_idquerynostringFilter by group ID
countqueryyesintegerPage size
pagequeryyesintegerPage number, starting at 1
keyqueryyesstringSort field
orderqueryyesenum(asc, desc)Sort direction
  • "asc"

Responses

3 responses

Status
Description
Type
200
Successful responseobject
400
Invalid query parametersobject
500
Internal server errorobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": [
        {
          "caps": [
            "<string>"
          ],
          "cores": 0,
          "createdAt": "<string>",
          "hostname": "<string>",
          "id": 0,
          "interfaces": [
            {
              "address": "<string>",
              "deviceId": "<string>",
              "driver": "<string>",
              "name": "<string>",
              "vendor": "<string>"
            }
          ],
          "ip": "<string>",
          "online": true,
          "port": 0,
          "synced": true,
          "updatedAt": "<string>",
          "version": "<string>"
        }
      ]
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }